Required Upgrade for TD Ameritrade NinjaTrader 7 Users

Effective January 1st, 2020, TD Ameritrade will no longer support the API in use by NinjaTrader 7. As a result, all users connecting through TD Ameritrade must upgrade to NinjaTrader 8 to avoid a lapse in service.

You can download the latest version of NinjaTrader 8 here.

Released in 2016, NinjaTrader 8 includes 500+ user driven enhancements. Access our FAQ & Migration Guide to learn more.

Please let us know if you have any question or need any help with the migration by contacting us at [email protected].